Summary:	Personal publishing platform
Name:		wordpress
Version:	3.9.3
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		http://wordpress.org/
Source0:	http://wordpress.org/%{name}-%{version}.tar.gz
Source1:	README.install.urpmi
Patch0:		wordpress-3.9-noupdate.patch
Patch1:		wordpress-3.9.1-disable-phpmailer-extras.patch
Requires:	apache
Requires:	apache-mod_php
Requires:	mariadb
Requires:	php-mysql
BuildArch:	noarch

%description
WordPress is a state-of-the-art, semantic, personal publishing platform with a
focus on aesthetics, Web standards, and usability. It was born out of a desire
for an elegant, well-architectured personal publishing system, and is the
official successor to b2/cafelog. While primarily geared towards functioning as
a Weblog, it is also a flexible CMS capable of managing many types of Web
sites. In addition to the basic Weblog functions, it also has an integrated
link manager (e.g. for blogrolls), XFN support, support for "static" pages,
Atom and RSS feeds for both content and comments, XML-RPC blogging API support
(Blogger, MetaWeblog, and Movable Type APIs), spam blocking features, advanced
cruft-free URL generation, a flexible theme system, and an advanced plugin API.

%prep
%setup -q -n %{name}
# Note apply patches manually and without backups...
%patch0 -p1
%patch1 -p1

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# fix file encoding
sed -i -e 's/\r//' license.txt

%install
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

# Remove empty files to make rpmlint happy
find %{buildroot} -type f -empty -exec rm -vf {} \;
# These are docs, remove them from here, docify them later
rm -f {buildroot}%{_datadir}/wordpress/{license.txt,readme.html}

cp -aRf * %{buildroot}/var/www/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    AllowOverride Options
    Allow from All
</Directory>
EOF

# cleanup
rm -f %{buildroot}/var/www/%{name}/license.txt
cp %{SOURCE1} ./README.install.urpmi

%files
%doc README.install.urpmi
%doc license.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0755,apache,root) /var/www/%{name}


%changelog
* Fri Nov 21 2014 luigiwalser <luigiwalser> 3.9.3-1.mga4
+ Revision: 798125
- 3.9.3
- 3.9.2 (fixes xml-rpc DoS issue)

  + colin <colin>
    - Update to 3.9.1
    - Add a very slightly modified noupdate patch from Fedora (thanks Remi Collet)
    - Remove some code that would lead to errors due to lack of phpmailer files.

  + oden <oden>
    - 3.8.2 (fixes CVE-2014-0165, CVE-2014-0166)

* Sat Oct 19 2013 umeabot <umeabot> 3.6.1-2.mga4
+ Revision: 534666
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 dams <dams> 3.6.1-1.mga4
+ Revision: 478562
- new version 3.6.1

* Fri Aug 02 2013 dams <dams> 3.6-1.mga4
+ Revision: 462763
- new version 3.6

* Sun Jun 23 2013 fwang <fwang> 3.5.2-1.mga4
+ Revision: 445884
- new version 3.5.2

* Tue Feb 05 2013 kamil <kamil> 3.5.1-2.mga3
+ Revision: 394619
- use consistent WP user name in the README.install.urpmi example

* Fri Jan 25 2013 fwang <fwang> 3.5.1-1.mga3
+ Revision: 392219
- new version 3.5.1

* Mon Jan 14 2013 umeabot <umeabot> 3.5-2.mga3
+ Revision: 385835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 dams <dams> 3.5-1.mga3
+ Revision: 329924
- new version 3.5

* Fri Sep 07 2012 dams <dams> 3.4.2-1.mga3
+ Revision: 289087
- new version 3.4.2
- Oops, removing bad subrel
- add subrel to allow upgrade from 1 to 2

* Thu Jul 12 2012 dams <dams> 3.4.1-2.mga3
+ Revision: 270398
- Simplify README.urpmi file
- fix specfile regarding mga#4065 (bad attr)

* Thu Jun 28 2012 fwang <fwang> 3.4.1-1.mga3
+ Revision: 264633
- new version 3.4.1

* Thu Jun 14 2012 fwang <fwang> 3.4-1.mga3
+ Revision: 260412
- new version 3.4

* Fri May 11 2012 dams <dams> 3.3.2-2.mga2
+ Revision: 235318
- update Requires to have a usable wordpress 'out of the box'
- fix README.urpmi to update path

* Sun Apr 22 2012 fwang <fwang> 3.3.2-1.mga2
+ Revision: 232468
- new version 3.3.2

* Fri Jan 06 2012 dams <dams> 3.3.1-1.mga2
+ Revision: 192414
- new version 3.3.1
- clean specfile as WP use SVN since 2005

* Tue Dec 13 2011 fwang <fwang> 3.3-1.mga2
+ Revision: 181108
- new version 3.3

* Wed Jul 13 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 123571
- new version 3.2.1

* Tue Jul 05 2011 fwang <fwang> 3.2-1.mga2
+ Revision: 118634
- new version 3.2

* Wed Jun 08 2011 dams <dams> 3.1.3-1.mga2
+ Revision: 101804
- Update to 3.1.3

* Thu Apr 07 2011 dams <dams> 3.1.1-1.mga1
+ Revision: 81713
- Update to 3.1.1

* Thu Mar 24 2011 dams <dams> 3.1-1.mga1
+ Revision: 76809
- Import, clean and update to 3.1
- imported package wordpress

